Skip to main content
GET
Retrieve all reward events
The default date range between startAt and endAt is 7 days, with startAt set 7 days before endAt.By default, endAt is set to the current timestamp (now).
The maximum allowed date range is 30 days.

Headers

X-API-Token
string
required

API Token for authentication

Query Parameters

txHash
string

The transaction hash associated with the event

Pattern: ^0x([A-Fa-f0-9]{64})$
startAt
string

Start date in ISO string format

Example:

"2024-11-15T00:00:00.000Z"

endAt
string

End date in ISO string format

Example:

"2024-12-15T00:00:00.000Z"

rewardsSubmissionHash
string

The reward submission hash associated with the event

Pattern: ^0x([A-Fa-f0-9]{64})$
rewardsSubmissionToken
string

The token address used for the rewards submission

Pattern: ^0x[a-fA-F0-9]{40}$
withIndividualAmount
enum<string>
default:false

Toggle whether the route should return individual share amount for each strategy

Available options:
true,
false
Example:

"false"

withEthValue
enum<string>
default:false

Toggle whether the route should return value denominated in ETH

Available options:
true,
false
Example:

"false"

skip
string
default:0

The number of records to skip for pagination

Example:

0

take
string
default:12

The number of records to return for pagination

Example:

12

Response

The reward events found.

tx
string
required

The transaction hash

Example:

"0xae41958d0342a4485536f701c72723625131680f182eb21f95abdac6d74d0ff0"

blockNumber
number
required

The block number of the transaction

Example:

21045085

blockTime
string
required

The block time of the transaction as an ISO 8601 string

Example:

"2024-10-25T20:41:11.000Z"

type
enum<string>
required

The type of the event

Available options:
REWARDS
Example:

"REWARDS"

args
object
required
ethValue
number

The value of the shares in ETH

Example:

1